LTSP/TroubleShooting — различия между версиями

Материал из ALT Linux Wiki
Перейти к: навигация, поиск
(Новая: Категория:LTSP {{Викификация}} == Решение проблем с ALTSP5 == === Начинаем с инсталера === Как [http://lists.altlinux.org/pipe...)
 
(AMD Geode)
Строка 21: Строка 21:
 
=== AMD Geode ===
 
=== AMD Geode ===
 
В силу наличия известной [http://lists.altlinux.org/pipermail/sysadmins/2007-December/013039.html проблемы] с видеодрайвером <tt>xorg-x11-drv-amd</tt> в версии X.org, входящей в состав ALT Linux 4.0 (апстрим внёс регрессию) -- использование таких терминалов с ALTSP5 на сейчас затруднено необходимостью ручной сборки клиентского чрута с иной (более старой) версией xorg-x11.  На сейчас подробного описания или готового варианта решения у меня (mike@) ещё нет.
 
В силу наличия известной [http://lists.altlinux.org/pipermail/sysadmins/2007-December/013039.html проблемы] с видеодрайвером <tt>xorg-x11-drv-amd</tt> в версии X.org, входящей в состав ALT Linux 4.0 (апстрим внёс регрессию) -- использование таких терминалов с ALTSP5 на сейчас затруднено необходимостью ручной сборки клиентского чрута с иной (более старой) версией xorg-x11.  На сейчас подробного описания или готового варианта решения у меня (mike@) ещё нет.
 +
Начиная с branch 4.0 X'ы пофикшены (snejok@):
 +
<pre> 10 апреля 2008 Valery Inozemtsev <shrek at altlinux.ru> 2:1.4.0.90-alt17
 +
Xext: fixed memory corruption in ProcXResQueryClients()
 +
X86EMU: fixing X for GeodeLX (close #15300)</pre>
  
 
=== Подземный стук с XDCMP ===
 
=== Подземный стук с XDCMP ===

Версия 10:03, 12 октября 2008

42px-Wikitext-ru.svg.png
Эту статью следует викифицировать.

Решение проблем с ALTSP5

Начинаем с инсталера

Как озвучили в рассылке мы с Michael A. Kangin:

> Вообще с этой штукой лучше знакомиться, начиная с нашего
> установочного диска и рекомендованной сетевой конфигурации,
> чтоб не ломать голову, где из трёх областей (железо, начиная
> с PXE-прошивки; сеть, т.е. адресация; терминальный сервер)   
> проблема-то.

Или же идти строго по http://www.ltsp.org/twiki/bin/view/Ltsp/TroubleShooting :)

PXE NIC

Если сетевая карта имеет PXE-стек, который представляется Intel Boot Agent 4.0.19 -- его придётся перешивать на более старый или более новый. Для набортных сетевых это, как правило, означает вливание прошивки в материнскую плату (хотя с Award Modular BIOS теоретически можно извернуться иначе); впрочем, современные обычно не имеют таких проблем. На чипах VIA я лично (mike@) с ними не встречался никогда. См. тж. на linux.armd.ru.

Осенью 2007 года для Intel 82557 (8086:1229) на intel.com давали нерабочую прошивку -- пришлось воспользоваться вытащенной из заведомо грузящейся карты.

Если же PXE, увы, никак -- возможна загрузка с помощью Etherboot или с CD, содержащего образ, сгенерированный ltsp-mkbootiso (TODO: описать подробнее).

AMD Geode

В силу наличия известной проблемы с видеодрайвером xorg-x11-drv-amd в версии X.org, входящей в состав ALT Linux 4.0 (апстрим внёс регрессию) -- использование таких терминалов с ALTSP5 на сейчас затруднено необходимостью ручной сборки клиентского чрута с иной (более старой) версией xorg-x11. На сейчас подробного описания или готового варианта решения у меня (mike@) ещё нет. Начиная с branch 4.0 X'ы пофикшены (snejok@):

 10 апреля 2008 Valery Inozemtsev <shrek at altlinux.ru> 2:1.4.0.90-alt17 
Xext: fixed memory corruption in ProcXResQueryClients()
X86EMU: fixing X for GeodeLX (close #15300)

Подземный стук с XDCMP

Если у вас спорадически не работает XDCMP со странной диагностикой в районе "authorization cookie rejected" - проверьте MTU в локальной сети и восстановите его в 1500 во всём сегменте.

"Замерзание" терминала

Если при работе с Firefox 1.x/2.x, OpenOffice.org ранее 2.4 или kpdf терминал на какую-то секунду "призадумывается" и перестаёт отвечать -- это вызвано "разбуханием" X-сервера терминала под натиском запихиваемых в него xpixmap'ов (картинок) и заклиниванием ядра даже при наличии сетевого свопа.

От этой проблемы есть несколько слабо помогающих припарок, но радикальное решение -- патч Peter Zijlstra от дедлоков при networked swap. Этот патч включен в сборки kernel-image-led-tc и весенние образы ALTSP.

Firefox3 и OOo2.4 вроде как намного лучше -- но, к сожалению, вероятность зависнуть зависит от "паршивой овцы" среди приложений... если, конечно, использовать обычное ядро.

Насколько мне (mike@) известно -- на сейчас сборка в ALT Linux является уникальной среди всех дистрибутивов, поддерживающих LTSP5.